using System;
using System.Web.UI.WebControls;

namespace Test
{
	public class TarihKontrol : WebControl
	{
		private TextBox txtGun;
		private TextBox txtAy;
		private TextBox txtYil;
		private Button btnCalendar;
		private Calendar calender;
		public TarihKontrol(){
			txtGun=new TextBox();
			txtGun.Columns=1;
			txtGun.MaxLength=2;

			txtAy=new TextBox();
			txtAy.Columns=1;
			txtAy.MaxLength=2;

			txtYil=new TextBox();
			txtYil.Columns=3;
			txtYil.MaxLength=4;

			btnCalendar=new Button();
			btnCalendar.Text="...";
			
			calender=new Calendar();
			calender.Visible=false;
			
			Controls.Add(txtGun);
			Controls.Add(txtAy);
			Controls.Add(txtYil);
			Controls.Add(btnCalendar);
			Controls.Add(calender);

			btnCalendar.Click+=new EventHandler(btnCalendarTiklandi);
			calender.SelectionChanged+=new EventHandler(calendarSecildi);
		}
		private void btnCalendarTiklandi(object sender,EventArgs e){
			calender.Visible = !calender.Visible;
		}
		private void calendarSecildi(object sender,EventArgs e){
			DateTime secilenTarih=calender.SelectedDate;
			txtGun.Text=secilenTarih.Day.ToString();
			txtAy.Text =secilenTarih.Month.ToString();
			txtYil.Text =secilenTarih.Year.ToString();
			calender.Visible=false;
		}
		public DateTime Tarih{
			get{
				return new DateTime(Yil,Ay,Gun);	
			}
		}
		public int Gun{
			get{
				if(txtGun.Text!=""){
					return Convert.ToInt32(txtGun.Text);
				}else{
					return 0;
				}
			}
		}
		public int Ay{
			get{
				if(txtAy.Text!=""){
					return Convert.ToInt32(txtAy.Text);
				}else{
					return 0;
				}
			}
			
		}
		public int Yil{
			get{
				if(txtYil.Text!=""){
					return Convert.ToInt32(txtYil.Text);
				}else{
					return 0;
				}
			}
		}
	}
}
